 private void ChartInitialization()
        {
            
            
            DataTable mDT = mDashBoardBLL.GetChartSummary(this.GetAppGlobal.UserID,"WM");
            this.UltraChart1.EnableScrollBar = true;
            this.UltraChart1.ChartType = ChartType.Composite;  
            this.UltraChart1.BorderWidth = new Unit(0);
            
            //Create the chart area
            ChartArea myChartArea = new ChartArea();
            myChartArea.Border.Thickness = 0;
            myChartArea.BoundsMeasureType = MeasureType.Percentage;
            myChartArea.Bounds = new System.Drawing.Rectangle(0, 0,100, 100);

            #region setting PE styles to ChartArea
            myChartArea.PE.ElementType = PaintElementType.Gradient;
            myChartArea.PE.Fill = Color.Cornsilk;
            myChartArea.PE.FillGradientStyle = GradientStyle.HorizontalBump;
            myChartArea.PE.FillStopColor = Color.Crimson;
            
            #endregion

            this.UltraChart1.CompositeChart.ChartAreas.Add(myChartArea);
            
            // Create a Y axis
            AxisItem yAxis = new AxisItem();
            yAxis.axisNumber = AxisNumber.Y_Axis;
            yAxis.DataType = AxisDataType.Numeric;
            yAxis.SetLabelAxisType = SetLabelAxisType.GroupBySeries;
            yAxis.Labels.ItemFormatString = "<DATA_VALUE:###,###,###,##0.00>";
            yAxis.Labels.Font = new Font("Verdana", 7);
            yAxis.TickmarkStyle = AxisTickStyle.Smart;
            yAxis.LineThickness = 1;
            yAxis.RangeMin = 1;
            yAxis.RangeMax = 50;
            yAxis.RangeType = AxisRangeType.Custom;
            yAxis.Labels.Visible = true;

            #region displaying left margin to chart
            this.UltraChart1.TitleLeft.Text = "No of Shop Orders";
            this.UltraChart1.TitleLeft.HorizontalAlign = StringAlignment.Center;
            this.UltraChart1.TitleLeft.Extent = 26;
            this.UltraChart1.TitleLeft.Font = new Font("Verdana", 7);
            this.UltraChart1.TitleLeft.Visible = true;
            this.UltraChart1.TitleLeft.Margins.Bottom = 5;
            this.UltraChart1.TitleLeft.Margins.Left = 5;
            this.UltraChart1.TitleLeft.Margins.Top = 5;
            this.UltraChart1.TitleLeft.Margins.Right = 5;
            #endregion

            myChartArea.Axes.Add(yAxis);

            // Create the X axis
            AxisItem xAxisForColumnChart = new AxisItem();
            xAxisForColumnChart.OrientationType = AxisNumber.X_Axis;
            xAxisForColumnChart.DataType = AxisDataType.String;
            xAxisForColumnChart.Labels.Orientation = TextOrientation.VerticalLeftFacing;
            xAxisForColumnChart.SetLabelAxisType = SetLabelAxisType.GroupBySeries;
            xAxisForColumnChart.Labels.ItemFormatString = "<ITEM_LABEL>";
            xAxisForColumnChart.Labels.Font = new Font("Verdana", 7);
            xAxisForColumnChart.LineThickness = 1;
            xAxisForColumnChart.Labels.SeriesLabels.Visible = false;

            //Create the chart layer
            myChartArea.Axes.Add(xAxisForColumnChart);
            ChartLayerAppearance columnLayer = new ChartLayerAppearance();
            columnLayer.ChartType = ChartType.ColumnChart;
         
            columnLayer.ChartArea = myChartArea;
            columnLayer.AxisX = xAxisForColumnChart;
            columnLayer.AxisY = yAxis;
            
            ColumnChartAppearance mColApp = new ColumnChartAppearance();
            mColApp.ColumnSpacing = 1;
            columnLayer.ChartTypeAppearance = mColApp;

            #region creating chart text appearance

            ChartTextAppearance mChartTextApp = new ChartTextAppearance();
            mChartTextApp.ChartTextFont = new Font("Arial", 7);
            mChartTextApp.Column = -2;
            mChartTextApp.Row = -2;
            mChartTextApp.Visible = true;
            mChartTextApp.ItemFormatString = "<DATA_VALUE:00.00>";
            
            #endregion

            mColApp.ChartText.Add(mChartTextApp);

            this.UltraChart1.CompositeChart.ChartLayers.Add(columnLayer);
            
            //Assign the series data
            NumericSeries s1 = new NumericSeries();
            s1.DataBind(mDT, "workInProgress", "wrkc");
            
            this.UltraChart1.Series.Add(s1);
            s1.Label = "Work Centers";

            #region applying paint element to series
            PaintElement mp= new PaintElement();
            mp.FillGradientStyle = GradientStyle.HorizontalBump;
            mp.ElementType = PaintElementType.Gradient;
            mp.FillStopColor = Color.Blue;
            mp.Fill = Color.LightBlue;
            #endregion

            s1.PEs.Add(mp);
            columnLayer.Series.Add(s1);

            // Create the X axis
            AxisItem xAxisForLineChart = new AxisItem();
            xAxisForLineChart.OrientationType = AxisNumber.X2_Axis;
            xAxisForLineChart.DataType = AxisDataType.String;
            xAxisForLineChart.SetLabelAxisType = SetLabelAxisType.ContinuousData;
            xAxisForLineChart.LineThickness = 0;
            xAxisForLineChart.Margin.Near.Value = 0;
            xAxisForLineChart.Margin.Far.Value = 0;

            //Create the chart layer
            myChartArea.Axes.Add(xAxisForLineChart);

            ChartLayerAppearance lineLayer = new ChartLayerAppearance();
            lineLayer.ChartType = ChartType.LineChart;
            lineLayer.ChartArea = myChartArea;
            lineLayer.AxisX = xAxisForLineChart;
            lineLayer.AxisY = yAxis;
            this.UltraChart1.CompositeChart.ChartLayers.Add(lineLayer);

            #region paint element for the line chart
            PaintElement mPaintForLine = new PaintElement();
            mPaintForLine.Fill = Color.Aquamarine;  
            #endregion
            NumericSeries lineSeries = new NumericSeries();
            lineSeries.DataBind(mDT, "wip_target", "wrkc");
            lineSeries.PEs.Add(mPaintForLine);

            this.UltraChart1.Series.Add(lineSeries);
            //lineSeries.Label = "No of ShopOrders";
            lineLayer.Series.Add(lineSeries);
            if (Session["ScreenResolution"] != null)
            {
                this.UltraChart1.Width = new Unit(Convert.ToInt16(Session["ScreenResolution"]) - 50, UnitType.Pixel);
            }
            if (Session["ScreenResolutionH"] != null)
            {
                this.UltraChart1.Height = new Unit(Convert.ToInt16(Session["ScreenResolutionH"]) - 520, UnitType.Pixel);
            }

            xAxisForColumnChart.Extent = 50;
            xAxisForLineChart.Extent = 0;
            xAxisForColumnChart.Labels.SeriesLabels.FormatString = "<SERIES_LABEL>";
            xAxisForColumnChart.Labels.SeriesLabels.Visible = true;
           
        }